**Full name**: projects.locations.featureOnlineStores.featureViews.featureViewSyncs.list

Lists FeatureViewSyncs in a given FeatureView.

### Endpoint

get `https://{service-endpoint}/v1/{parent}/featureViewSyncs`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the FeatureView to list FeatureViewSyncs. Format: `projects/{project}/locations/{location}/featureOnlineStores/{featureOnlineStore}/featureViews/{featureView}`

### Query parameters

`filter` `string` Lists the FeatureViewSyncs that match the filter expression. The following filters are supported:

- `createTime`: Supports `=`, `!=`, `<`, `>`, `>=`, and `<=` comparisons. Values must be in RFC 3339 format.

Examples:

- `createTime > \"2020-01-31T15:30:00.000000Z\"` --\> FeatureViewSyncs created after 2020-01-31T15:30:00.000000Z.
`pageSize` `integer` The maximum number of FeatureViewSyncs to return. The service may return fewer than this value. If unspecified, at most 1000 FeatureViewSyncs will be returned. The maximum value is 1000; any value greater than 1000 will be coerced to 1000.
`pageToken` `string` A page token, received from a previous `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.featureOnlineStores.featureViews.featureViewSyncs/list#google.cloud.aiplatform.v1.FeatureOnlineStoreAdminService.ListFeatureViewSyncs` call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.featureOnlineStores.featureViews.featureViewSyncs/list#google.cloud.aiplatform.v1.FeatureOnlineStoreAdminService.ListFeatureViewSyncs` must match the call that provided the page token.
`orderBy` `string` A comma-separated list of fields to order by, sorted in ascending order. Use "desc" after a field name for descending.

Supported fields:

- `createTime`

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.featureOnlineStores.featureViews.featureViewSyncs/list#google.cloud.aiplatform.v1.FeatureOnlineStoreAdminService.ListFeatureViewSyncs`.

If successful, the response body contains data with the following structure:
Fields `featureViewSyncs[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.featureOnlineStores.featureViews.featureViewSyncs#FeatureViewSync`)`` The FeatureViewSyncs matching the request.
`nextPageToken` `string` A token, which can be sent as `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.featureOnlineStores.featureViews.featureViewSyncs/list#body.QUERY_PARAMETERS.page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.

| JSON representation |
|---|
| ``` { "featureViewSyncs": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.featureOnlineStores.featureViews.featureViewSyncs#FeatureViewSync`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.featureViewSyncs.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).